• Русский
  • TektonInstallerSet [operator.tekton.dev/v1alpha1]

    Description
    TektonInstallerSet is the Schema for the TektonInstallerSet API
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    TektonInstallerSetSpec defines the desired state of TektonInstallerSet

    statusobject

    TektonInstallerSetStatus defines the observed state of TektonInstallerSet

    .spec

    Description
    TektonInstallerSetSpec defines the desired state of TektonInstallerSet
    Type
    object
    PropertyTypeDescription
    manifestsarray

    Slice is a Source comprised of existing objects

    .spec.manifests

    Description
    Slice is a Source comprised of existing objects
    Type
    array

    .spec.manifests[]

    Type
    object

    .status

    Description
    TektonInstallerSetStatus defines the observed state of TektonInstallerSet
    Type
    object
    PropertyTypeDescription
    annotationsobject

    Annotations is additional Status fields for the Resource to save some additional State as well as convey more information to the user. This is roughly akin to Annotations on any k8s resource, just the reconciler conveying richer information outwards.

    conditionsarray

    Conditions the latest available observations of a resource's current state.

    observedGenerationinteger

    ObservedGeneration is the 'Generation' of the Service that was last processed by the controller.

    .status.annotations

    Description
    Annotations is additional Status fields for the Resource to save some additional State as well as convey more information to the user. This is roughly akin to Annotations on any k8s resource, just the reconciler conveying richer information outwards.
    Type
    object

    .status.conditions

    Description
    Conditions the latest available observations of a resource's current state.
    Type
    array

    .status.conditions[]

    Description
    Condition defines a readiness condition for a Knative resource. See: https://github.com/kubernetes/community/blob/master/contributors/devel/sig-architecture/api-conventions.md#typical-status-properties
    Type
    object
    Required
    statustype
    PropertyTypeDescription
    lastTransitionTimestring

    LastTransitionTime is the last time the condition transitioned from one status to another. We use VolatileTime in place of metav1.Time to exclude this from creating equality.Semantic differences (all other things held constant).

    messagestring

    A human readable message indicating details about the transition.

    reasonstring

    The reason for the condition's last transition.

    severitystring

    Severity with which to treat failures of this type of condition. When this is not specified, it defaults to Error.

    statusstring

    Status of the condition, one of True, False, Unknown.

    typestring

    Type of condition.

    API Endpoints

    The following API endpoints are available:

    • /apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektoninstallersets
      • DELETE: delete collection of TektonInstallerSet
      • GET: list objects of kind TektonInstallerSet
      • POST: create a new TektonInstallerSet
    • /apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektoninstallersets/{name}
      • DELETE: delete the specified TektonInstallerSet
      • GET: read the specified TektonInstallerSet
      • PATCH: partially update the specified TektonInstallerSet
      • PUT: replace the specified TektonInstallerSet
    • /apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektoninstallersets/{name}/status
      • GET: read status of the specified TektonInstallerSet
      • PATCH: partially update status of the specified TektonInstallerSet
      • PUT: replace status of the specified TektonInstallerSet

    /apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektoninstallersets

    HTTP method
    DELETE
    Description
    delete collection of TektonInstallerSet
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind TektonInstallerSet
    HTTP responses
    HTTP codeResponse body
    200 - OKTektonInstallerSetList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new TektonInstallerSet
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyTektonInstallerSet schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKTektonInstallerSet schema
    201 - CreatedTektonInstallerSet schema
    202 - AcceptedTektonInstallerSet schema
    401 - UnauthorizedEmpty

    /apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektoninstallersets/{name}

    HTTP method
    DELETE
    Description
    delete the specified TektonInstallerSet
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified TektonInstallerSet
    HTTP responses
    HTTP codeResponse body
    200 - OKTektonInstallerSet schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified TektonInstallerSet
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKTektonInstallerSet schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified TektonInstallerSet
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyTektonInstallerSet schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKTektonInstallerSet schema
    201 - CreatedTektonInstallerSet schema
    401 - UnauthorizedEmpty

    /apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektoninstallersets/{name}/status

    HTTP method
    GET
    Description
    read status of the specified TektonInstallerSet
    HTTP responses
    HTTP codeResponse body
    200 - OKTektonInstallerSet schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified TektonInstallerSet
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKTektonInstallerSet schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified TektonInstallerSet
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyTektonInstallerSet schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKTektonInstallerSet schema
    201 - CreatedTektonInstallerSet schema
    401 - UnauthorizedEmpty